@rem  Licensed Materials - Property of IBM
@rem  5724-R31, 5655-S30
@rem  (C) Copyright IBM Corporation 2010,2011. All Rights Reserved.
@rem  US Government Users Restricted Rights- Use, duplication or disclosure
@rem  restricted by GSA ADP Schedule Contract with IBM Corp.

@setlocal enableextensions enabledelayedexpansion
@echo off

@rem change cmd locale to english
chcp 437

@rem set variables
set CURRENT_DIR=%cd%
set SCRIPT_DIR=%~dp0%
mkdir logs

:input
set INPUT=
echo Following are the installation choices you have:
echo		1. Standard Edition
echo		2. Advanced Edition

set /P INPUT=Please provide(1 or 2) which edition you want to install: %=%
if "%INPUT%"=="" goto input

if "%INPUT%"=="1" (
	echo Running Standard Edition
	call createDB.bat > logs\telecom_datasourceinstall.log
	call wleinstaller.bat > logs\telecom_ProcessAppinstall.log
	@echo For WLE ProcessApp Deployment please refer to ./log/telecom_ProcessAppinstall.log
	goto QUITNOW
)

if "%INPUT%"=="2" (
	echo Running Advanced edition
	call wpsinstaller.bat > logs\telecom_install.log 
	call wleinstaller.bat > logs\telecom_ProcessAppinstall.log 
	@echo For WLE ProcessApp Deployment please refer to ./log/telecom_ProcessAppinstall.log
	goto QUITNOW
)



:QUITNOW
cd %CURRENT_DIR%
@echo on
endlocal