#***********************************************************************
# Licensed Material - Property of IBM
#
# 5724-R31, 5655-S30
#
# (c) Copyright IBM Corp. 2008, 2010,2011.  All rights reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#************************************************************************
##################################################################
#
# Update Business Space Properties.
#

###################################################################
# Command line parameters passed in. Evaluate each of these paramters
###################################################################

nextArg = 0;
while(len(sys.argv) > nextArg) :
    param = sys.argv[nextArg]
    nextArg +=1
    value = sys.argv[nextArg]
    nextArg +=1
    if (param == "-nodeName"):
        nodeName = value
    elif (param == "-profilePath"):
        profilePath = value
    elif (param == "-serverName"):
        serverName = value

#########################################################################
# Update the property
#########################################################################

configFilePath = profilePath + '\\BusinessSpace\\' + nodeName + '\\' + serverName + '\\mm.runtime.prof\\config\\ConfigService.properties'
appOptions = ["-serverName", serverName, "-nodeName", nodeName, "-propertyFileName", configFilePath, "-prefix", "Mashups_"]
print profilePath
print nodeName
print configFilePath

AdminTask.updatePropertyConfig(appOptions)

#########################################################################
# Update of BSpace properties are done
#########################################################################


#######################################################################
# #Save configuration
#######################################################################
AdminConfig.save()
print "All the configurations are saved .."
#######################################################################
# End of file.
##########################################